Deploymate

1.2.4 04 Aug 2014

Find and prevent app crashes.

0

Developer website: Ivan Vasic

Deploymate helps you identify unavailable, deprecated and obsolete API usage in your Xcode projects. Every once in a while, a new version of iOS and OS X is released, and along with them are new sets of APIs for developers to use. The problem is, if you use these new APIs your app will crash on older versions of iOS and OS X. Every experienced Cocoa and Cocoa Touch developer knows how easy it is to make the mistake of using the newest APIs without checking their availability - especially since Xcode will not warn you about it. This problem is extremely painful since no one wants their app to be live in the AppStore crashing for all users running older OS versions. Fortunately, Deploymate can detect these problems early, before you even hit the store. Deploymate will analyze your Xcode project and tell you straight away if you’re using an API in your iOS or OS X project that isn’t present on the minimum OS your app is configured to support.

What's New

Version 1.2.4:

Features:
  • CLI can output results in JSON or PLIST format (-o switch)
  • New CLI switch (-x) to force setting non-zero exit code if any warnings are found
Bug fixes:
  • Fixed Clang build flags for some use-cases

Requirements

  • OS X 10.7 or later

Ratings

Overall
(0)
Current Version (1.x)
(0)

Details

Downloads
224
Version Downloads
224
License
Demo
Date
04 Aug 2014
Platform
Intel 64 / OS X
Price
$19.99